package dev.crucifixbeta.api.events.impl;

import dev.crucifixbeta.api.events.Event;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
public class ClientTickEvent extends Event {
   private static final ClientTickEvent instance = new ClientTickEvent();

   private ClientTickEvent() {
   }

   public static ClientTickEvent get(Event.Stage stage) {
      instance.stage = stage;
      return instance;
   }
}
